Copr is an easy-to-use automatic build system providing a package repository as its output.

Start with making your own repository in these three steps:

  1. choose a system and architecture you want to build for
  2. provide Copr with src.rpm packages
  3. let Copr do all the work and wait for your new repo

NOTE: Copr is not yet officially supported by Fedora Infrastructure.

Projects

@cosmicwalk/spacewalk-2.8-client

Spacewalk nightly client packages.
  • Epel for CentOS 6 : i386, x86_64
  • Epel for CentOS 7 : x86_64

@cosmicwalk/python-packages

Python packages necessary for Spacewalk runtime. (Replacement for packages removed from Fedora and RHEL.)
  • Epel for CentOS 8 : x86_64
  • Fedora 30 : i386, x86_64
  • Fedora 31 : x86_64

@cosmicwalk/java-packages

Java packages necessary for Spacewalk runtime. (Replacement for jpackage.)
  • Custom 1 : x86_64
  • Epel for CentOS 7 : x86_64
  • Epel for CentOS 8 : x86_64

@cosmicwalk/epel6-addons

EPEL7 packages rebuilt for RHEL6 for Spacewalk runtime.
  • Epel for CentOS 6 : x86_64

@cosmicwalk/spacewalk-2.10-client

Spacewalk 2.10 client packages.
  • Epel for CentOS 6 : i386, x86_64
  • Epel for CentOS 7 : x86_64
  • Epel for CentOS 8 : x86_64
  • Fedora 30 : i386, x86_64
  • Fedora 31 : x86_64

@cosmicwalk/spacewalk-2.10

Spacewalk 2.10 packages.
  • Epel for CentOS 6 : i386, x86_64
  • Epel for CentOS 7 : x86_64
  • Fedora 30 : i386, x86_64
  • Fedora 31 : x86_64

@cosmicwalk/nightly-client

Spacewalk nightly client packages.
  • Epel for CentOS 6 : i386, x86_64
  • Epel for CentOS 7 : x86_64
  • Epel for CentOS 8 : x86_64
  • Fedora 30 : i386, x86_64
  • Fedora 31 : x86_64

@cosmicwalk/nightly

Spacewalk nightly builds.
  • Epel for CentOS 7 : x86_64
  • Epel for CentOS 8 : x86_64
  • Fedora 31 : x86_64

loise/kentos-8-base

Base RPMs for KentOS from rebuilds and updates from Centos 8.2.2004 and EPEL 8 plus all needed to compile and install all of KDE/Qt Beware: Qt depending packages have been rebuilt with Qt 5.15.0 ! Builds of Qt 5.15.0 against CentOS 8.2.2004 Rebuilds of CentOS 8.2.2004 RPMs where some output RPMs were missing in the distribution Updates for selected CentOS 8.2.2004 RPMs which are outdated for the requirements of KDE/Qt and are replaced by newer versions Rebuilds of EPEL-8 RPMs which depend on Qt and are recompiled with Qt 5.15.0 to check wether patches are needed plus RPMs for building and installing KDE/Qt without EPEL-8 (standalone installation of CentOS, RHEL or OL without EPEL-8) Updates for selected EPEL-8 RPMs which require patches to build against Qt 5.15.0 or are upgraded because the newer version does not require a patch Updates for selected CentOS RPMs where functionality is provided for KentOS: appstream-data (from Fedora latest)
  • Epel for CentOS 8 : x86_64

jschwart/pacparser

RHEL builds of Pacparser https://github.com/manugarg/pacparser/
  • Epel for CentOS 6 : x86_64
  • Epel for CentOS 7 : x86_64
  • Epel for CentOS 8 : x86_64